curl --location '/payment' \
--header 'clientid: {{clientId}}' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"senderEmail": "customer@example.com",
"phoneNumber": "0240000000",
"channel": "mobile_money",
"provider": "mtn",
"amount": 150.00,
"tot_amnt": 150.00,
"description": "Invoice12345",
"foreignID": "TXN12345",
"callbackUrl": "https://yourapp.com/api/callback"
}'{
"status": "pending",
"message": "TRANSACTION PENDING",
"transID": "COL1000001221896",
"foreignID": "17263839290373",
"reqToken": "COL100001221896"
}